System.Web 2.0.0.0 System.Collections.CollectionBase

The stores references to items that will be embedded in an e-mail message. The embedded items can be image files such as company logos. The is used by the property of the object.

E-mail messages that allow embedded objects are configurable in the following Web controls by setting their properties declaratively:

The values in the and objects are not stored in view state. This protects against malicious users discovering path information for your server.

Represents an ordered set of objects.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 `` To be added.

  Adds an to the end of the collection.

  Returns the index of the in the .

  The to add to the . 2.0.0.0
- Method
  System.Boolean ``

  Use the method to identify the position of the in the .

  Determines whether the contains a specific .

  true if the contains ; otherwise, false.

  The to locate in the object. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the collection objects to a one-dimensional instance beginning at the specified index in the array.

  The one-dimensional is the destination of the elements copied from the current . The array must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Determines the index of a specific in the .

  The index of the if it exists in the ; otherwise, -1.

  An to locate in the . 2.0.0.0
- Method
  System.Void `` ``

  If is 0, is added to the beginning of the . If equals the number of items in the , is appended to the end.

  Inserts an into the object at the specified index position.

  An integer value that indicates the index position at which to insert the in the collection. An object to insert into the . 2.0.0.0
- Property
  System.Web.UI.WebControls.EmbeddedMailObject `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The method uses the information contained in the to identify the item to remove from the collection.

  Removes the first occurrence of the specified from the .

  The to remove from the . 2.0.0.0